ServerEvents.recipes(event => {
    event.replaceInput(
        { mod: 'storagedrawers', output: /storagedrawers:oak_full_.*/ },
        'minecraft:oak_planks',
        '#minecraft:planks'
    )
    event.replaceInput(
        { mod: 'storagedrawers', output: /storagedrawers:oak_half_.*/ },
        'minecraft:oak_slab',
        '#minecraft:wooden_slabs'
    )

    event.shaped(`4x storagedrawers:upgrade_template`, ['SSS', 'SFS', 'SSS'], { F: "#storagedrawers:drawers", S: stick }).id(`storagedrawers:upgrade_template`)

    event.replaceInput({ mod: "storagedrawers" }, chest, "submerged:storage_core")
    event.replaceInput({ id: "storagedrawers:drawer_key" }, gold_ingot, bronze_ingot)
    event.replaceInput({ id: "storagedrawers:drawer_key" }, gold_nugget, "submerged:key_fragment")
    event.replaceInput({ id: "storagedrawers:shroud_key" }, "minecraft:ender_eye", "roomopolis:key_block_remover")
    event.replaceInput({ id: 'storagedrawers:quantify_key' }, 'minecraft:writable_book', 'minecraft:book')
    event.replaceInput({ id: 'storagedrawers:framing_table' }, '#storagedrawers:trim', 'submerged:storage_core');
});